Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation.expression.ast
Interface AnnotationParserConstants

All Known Implementing Classes:
  AnnotationParser, AnnotationParserTokenManager

    public interface AnnotationParserConstants

Field Summary
`static int` | `ANNOTATION`
`static int` | `AT`
`static int` | `BOOLEAN`
`static int` | `CHAR`
`static int` | `COMMA`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `DOT`
`static int` | `EOF`
`static int` | `EQUALS`
`static int` | `EXPONENT`
`static int` | `FLOAT`
`static int` | `HEXNUMBER`
`static int` | `INTEGER`
`static int` | `JAVA_LETTER`
`static int` | `JAVA_NAME`
`static int` | `JAVA_TYPE`
`static int` | `JAVA_TYPE_MAYBEARRAY`
`static int` | `LEFT_BRACKET`
`static int` | `LEFT_PARENTHEZIS`
`static int` | `NEWLINE`
`static int` | `OCTNUMBER`
`static int` | `RIGHT_BRACKET`
`static int` | `RIGHT_PARENTHEZIS`
`static int` | `STRING`
`static String[]` | `tokenImage`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### DOT

    static final int DOT

See Also:
  Constant Field Values

### INTEGER

    static final int INTEGER

See Also:
  Constant Field Values

### HEXNUMBER

    static final int HEXNUMBER

See Also:
  Constant Field Values

### OCTNUMBER

    static final int OCTNUMBER

See Also:
  Constant Field Values

### FLOAT

    static final int FLOAT

See Also:
  Constant Field Values

### EXPONENT

    static final int EXPONENT

See Also:
  Constant Field Values

### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

### BOOLEAN

    static final int BOOLEAN

See Also:
  Constant Field Values

### STRING

    static final int STRING

See Also:
  Constant Field Values

### CHAR

    static final int CHAR

See Also:
  Constant Field Values

### NEWLINE

    static final int NEWLINE

See Also:
  Constant Field Values

### LEFT_PARENTHEZIS

    static final int LEFT_PARENTHEZIS

See Also:
  Constant Field Values

### RIGHT_PARENTHEZIS

    static final int RIGHT_PARENTHEZIS

See Also:
  Constant Field Values

### LEFT_BRACKET

    static final int LEFT_BRACKET

See Also:
  Constant Field Values

### RIGHT_BRACKET

    static final int RIGHT_BRACKET

See Also:
  Constant Field Values

### COMMA

    static final int COMMA

See Also:
  Constant Field Values

### EQUALS

    static final int EQUALS

See Also:
  Constant Field Values

### AT

    static final int AT

See Also:
  Constant Field Values

### ANNOTATION

    static final int ANNOTATION

See Also:
  Constant Field Values

### JAVA_NAME

    static final int JAVA_NAME

See Also:
  Constant Field Values

### JAVA_TYPE_MAYBEARRAY

    static final int JAVA_TYPE_MAYBEARRAY

See Also:
  Constant Field Values

### JAVA_TYPE

    static final int JAVA_TYPE

See Also:
  Constant Field Values

### JAVA_LETTER

    static final int JAVA_LETTER

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.